$AdfDhtmlInputDatePeer$$.$_SUB_ID_MAP$ = {timezoneName:"tzDispName", timezoneId:"tzDispId", pickerIcon:"glyph"};
$AdfDhtmlInputDatePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputDatePeer$$$$$GetSubIdDomElement$$($subElementId$$16$$) {
  var $component$$1816$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$16$$, $AdfDhtmlInputDatePeer$$.$_SUB_ID_MAP$, $component$$1816$$, this, $AdfDhtmlInputDatePeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputDatePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputDatePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputDatePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputDatePeer$$$$$GetBestMatchSubId$$($domElement$$556$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$556$$, this, $AdfDhtmlInputDatePeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputDatePeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputDatePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputDatePeer$$.prototype.$GetBestMatchSubId$});
